## wmtime 1.0b2

=== wmtime/Makefile ===
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11 -lm
OBJS =	wmtime.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o

.c.o:
	cc -c -O2 -Wall $< -o $*.o

wmtime: $(OBJS)
	cc -o wmtime $^ $(LIBDIR) $(LIBS)

clean::
	for i in $(OBJS) ; do \
		rm $$i; \
	done
	rm wmtime

=== debian/changelog ===
wmtime (1.0b2-11) unstable; urgency=low

  * New maintainer (Closes: #691813).
  * debian/compat
    + Bump to 9.
  * debian/control
    + Changed homepage and maintainer.
    + Bump Standards-Version to 3.9.4, no changes required.
  * debian/watch
    + Added.
  * debian/patches
    + Switched to dpkg-source 3.0 (quilt) format.
    + Fixed -noseconds garbage, patch by Andrew Deason (Closes: #639626).
    + Fixed date localization, patch by Milan Cermak (Closes: #661843).
    + Fix Makefile to enable hardening, patch by John Paul Adrian Glaubitz.
  * debian/rules
    + Simplified to debhelper 7 style.
  * debian/copyright
    + Updated to new format.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 19 Sep 2013 21:09:40 -0500

wmtime (1.0b2-10) unstable; urgency=low

  * New maintainer.  (Closes: #487135)
  * Checked the debian files against the latest standard.  (Closes: #379574)
  * Moved menu item to Applications/System/Monitoring.
  * Minor code corrections to avoid build warnings.

 -- Paul Harris <harris.pc@gmail.com>  Tue, 15 Jul 2008 15:24:09 +0800

wmtime (1.0b2-9) unstable; urgency=medium

  * Fixed build dependencies so we no longer depend on libxpm4-dev.
  * Quoted all strings in /usr/lib/menu/wmtime.

 -- Simon Law <sfllaw@debian.org>  Tue, 10 Aug 2004 21:15:53 -0400

wmtime (1.0b2-8) unstable; urgency=low

  * Fixed more problems in wmtime.1
  * Add a Debian menu entry for WMTime.

 -- Simon Law <sfllaw@debian.org>  Wed, 26 Nov 2003 23:16:11 -0500

wmtime (1.0b2-7) unstable; urgency=low

  * Corrected some usage information.
  * Fixed some problems in wmtime.1

 -- Simon Law <sfllaw@debian.org>  Thu, 13 Nov 2003 01:29:24 -0500

wmtime (1.0b2-6) unstable; urgency=low

  * New maintainer.
  * Added a manual page for wmtime.  It was inspired by Adriaan Peeters'
    work.  (Closes: #181684)
  * Added the -geometry option.  (Closes: #182278, #212426)
  * Added the -noseconds option.  (Closes: #25438)
  * Fixed some buffer overflow problems.

 -- Simon Law <sfllaw@debian.org>  Thu, 09 Oct 2003 17:52:34 -0400

wmtime (1.0b2-5) unstable; urgency=low

  * Forgot to update menu entry with new path (closes: #142461)

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 12 Apr 2002 17:58:04 +0200

wmtime (1.0b2-4) unstable; urgency=low

  * Install in /usr/bin instead of /usr/X11R6/bin (closes: #122023)
  * Recompile fixes dependencies (closes: #132386)

 -- Fredrik Hallenberg <hallon@debian.org>  Thu, 11 Apr 2002 18:20:07 +0200

wmtime (1.0b2-3) frozen unstable; urgency=low

  * Fixed monthname (NOV instead of NOW).
  * Added menu entry. (closes: #51996)
  * Bumped standards revision to 3.1.1.

 -- Fredrik Hallenberg <hallon@debian.org>  Sun,  6 Feb 2000 21:01:55 +0100

wmtime (1.0b2-2) unstable; urgency=low

  * WMTime didn't work properly with -digital flag. (closes: #31869)

 -- Fredrik Hallenberg <hallon@debian.org>  Mon,  5 Jul 1999 09:32:59 +0200

wmtime (1.0b2-1) unstable; urgency=low

  * Initial Release.

 -- Fredrik Hallenberg <hallon@debian.org>  Wed, 15 Jul 1998 18:18:07 +0200

=== debian/control ===
Source: wmtime
Section: x11
Priority: optional
Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxext-dev
Standards-Version: 3.9.4
Homepage: http://wmaker.friedcheese.org
Vcs-Browser: http://repo.or.cz/r/dockapps.git
Vcs-Git: git://repo.or.cz/dockapps.git

Package: wmtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Window Maker dockapp that displays the time and date
 WMTime displays the time and date and gives you some nice additional 
 features too.  It is intended for docking in Window Maker.
 .
 It currently provides:
 .
   * the time and date;
   * a realtime morphing interface (analog <> digital mode);
   * auto-scaled and anti-aliased hands;
   * localization: displaying the day and date in various languages;
   * three user-defined commands to launch.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=wmtime

override_dh_clean:
	dh_auto_clean
	make -C wmtime clean || true

override_dh_install:
	dh_auto_install
	make -C wmtime DESTDIR=$(CURDIR)/debian/wmtime install

=== debian/watch ===
version=3
http://wmaker.friedcheese.org/downloads/wmtime-(.+).tar.gz

## wmtime 1.1

=== wmtime/Makefile ===
LIBDIR = -L/usr/X11R6/lib
LIBS   = -lXpm -lXext -lX11 -lm
OBJS =	wmtime.o \
		../wmgeneral/wmgeneral.o \
		../wmgeneral/misc.o \
		../wmgeneral/list.o
XPMS = wmtime-master.xpm wmtime-mask.xbm

CC = gcc
CFLAGS += -O2

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c -Wall $< -o $*.o

wmtime: $(OBJS) $(XPMS)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o wmtime $(OBJS) $(LIBDIR) $(LIBS)

clean::
	for i in $(OBJS) ; do \
		rm $$i; \
	done
	rm wmtime

install:: wmtime
	install -m 755 wmtime $(DESTDIR)/usr/bin

=== debian/changelog ===
wmtime (1.1-2) unstable; urgency=low

  * debian/control
    + Bump Standards-Version to 3.9.5, no changes required.
    + Update Vcs-* fields.
  * debian/patches/rm-force-in-make-clean.patch
    + Use rm -f for make clean.
  * debian/rules
    + Simplify by using --sourcedirectory=wmtime.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Mon, 21 Jul 2014 01:08:09 -0500

wmtime (1.1-1) unstable; urgency=low

  * New upstream version
    + Includes all previous Debian patches.
    + Default to English when non-Latin characters are encountered.
      (Closes: #726125)
    + Print numbers in weekday/month names when needed.
  * debian/control
    + Fix Vcs-Browser field.
    + Update Homepage.
  * debian/watch
    + Switch to new URL.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Sun, 13 Oct 2013 13:35:36 -0500

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
 Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxext-dev
-Standards-Version: 3.9.4
-Homepage: http://wmaker.friedcheese.org
-Vcs-Browser: http://repo.or.cz/r/dockapps.git
-Vcs-Git: git://repo.or.cz/dockapps.git
+Standards-Version: 3.9.5
+Homepage: http://wmtime.sourceforge.net/
+Vcs-Browser: https://github.com/d-torrance/wmtime
+Vcs-Git: https://github.com/d-torrance/wmtime.git
 
 Package: wmtime
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=wmtime

=== debian/watch ===
version=3
http://sf.net/wmtime/wmtime-(.+)\.tar\.gz

## wmtime 1.1%2B20140827

=== wmtime/Makefile ===
--- 
+++ 
@@ -17,9 +17,9 @@
 
 clean::
 	for i in $(OBJS) ; do \
-		rm $$i; \
+		rm -f $$i; \
 	done
-	rm wmtime
+	rm -f wmtime
 
 install:: wmtime
 	install -m 755 wmtime $(DESTDIR)/usr/bin

## wmtime 1.1+20140827

=== debian/changelog ===
wmtime (1.1+20140827-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Homepage.
    - Remove trailing whitespace in Description.
  * debian/copyright
    - Update Upstream-Contact and Source.
    - Add keyword to license exception.
  * debian/patches
    - Remove directory; patches applied upstream.
  * debian/rules
    - Add get-orig-source target.
  * debian/watch
    - Update with new location.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Thu, 28 Aug 2014 10:42:51 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
 Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxext-dev
 Standards-Version: 3.9.5
-Homepage: http://wmtime.sourceforge.net/
+Homepage: http://windowmaker.org/dockapps/?name=wmtime
 Vcs-Browser: https://github.com/d-torrance/wmtime
 Vcs-Git: https://github.com/d-torrance/wmtime.git
 
@@ -12,7 +12,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Window Maker dockapp that displays the time and date
- WMTime displays the time and date and gives you some nice additional 
+ WMTime displays the time and date and gives you some nice additional
  features too.  It is intended for docking in Window Maker.
  .
  It currently provides:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --sourcedirectory=wmtime

get-orig-source:
	uscan --verbose --force-download
	rename -v "s/wmtime-(.+)\.download/wmtime_\1\.orig\.tar\.gz/" \
		../wmtime-*.download

## wmtime 1.2

=== debian/changelog ===
wmtime (1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.6; no changes required.
  * debian/copyright
    - Update location of wmtime.1.
  * debian/(dirs|manpages)
    - Remove unnecessary files.
  * debian/rules
    - Update get-orig-source target; add --no-symlink for newer versions
      of uscan and check if tarball was downloaded before renaming.
    - Remove --sourcedirectory=wmtime; no longer needed.
    - Add override_dh_auto_install target to set PREFIX to /usr.
    - Add override_dh_auto_build target to use CFLAGS from dpkg-buildflags.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 06 Jan 2015 18:21:51 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Doug Torrance <dtorrance@monmouthcollege.edu>
 Build-Depends: debhelper (>= 9), libx11-dev, libxpm-dev, libxext-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://windowmaker.org/dockapps/?name=wmtime
 Vcs-Browser: https://github.com/d-torrance/wmtime
 Vcs-Git: https://github.com/d-torrance/wmtime.git

## wmtime 1.3

=== Makefile ===
LIBS   = -lXpm -lXext -lX11 -lm
OBJS =	wmtime.o \
		wmgeneral/wmgeneral.o \
		wmgeneral/misc.o \
		wmgeneral/list.o
XPMS = wmtime-master.xpm wmtime-mask.xbm
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
INSTALL = install

CC = gcc
CFLAGS = -O2 -Wall

.c.o:
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $< -o $*.o

wmtime: $(OBJS) $(XPMS)
	$(CC) $(LDFLAGS) -o wmtime $(OBJS) $(LIBS)

clean::
	for i in $(OBJS) ; do \
		rm -f $$i; \
	done
	rm -f wmtime

install:: wmtime
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) wmtime $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(MANDIR)
	$(INSTALL) -m 644 wmtime.1 $(DESTDIR)$(MANDIR)

=== debian/changelog ===
wmtime (1.3-1) unstable; urgency=medium

  * New upstream release.
    - Includes new version of wmgeneral library that builds with gcc5
      (Closes: #778174).
  * debian/copyright
    - Clarify license information for wmgeneral files;
      wmtime files are GPL-2+, not GPL-2.

 -- Doug Torrance <dtorrance@monmouthcollege.edu>  Tue, 26 May 2015 18:06:43 -0500

## wmtime 1.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,5 @@
-LIBS   = -lXpm -lXext -lX11 -lm
-OBJS =	wmtime.o \
-		wmgeneral/wmgeneral.o \
-		wmgeneral/misc.o \
-		wmgeneral/list.o
+LIBS   = -lXpm -lXext -lX11 -lm -ldockapp
+OBJS =	wmtime.o
 XPMS = wmtime-master.xpm wmtime-mask.xbm
 PREFIX = /usr/local
 BINDIR = $(PREFIX)/bin

=== debian/changelog ===
wmtime (1.4-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:51:16 +0000

wmtime (1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Vcs-* fields.
    - Set Debian Window Maker Team as Maintainer; move myself to
      Uploaders with Uploaders with updated email address.
    - Add libdockapp-dev to Build-Depends.
    - Tidy up using wrap-and-sort.
  * debian/copyright
    - Remove license information for wmgeneral files which were moved to
      libdockapp.

 -- Doug Torrance <dtorrance@piedmont.edu>  Mon, 24 Aug 2015 19:55:19 -0400

=== debian/control ===
Source: wmtime
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Build-Depends: debhelper (>= 9),
               libdockapp-dev (>= 1:0.7.0),
               libx11-dev,
               libxext-dev,
               libxpm-dev
Standards-Version: 3.9.6
Homepage: http://windowmaker.org/dockapps/?name=wmtime
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-wmaker/wmtime.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmtime.git

Package: wmtime
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Window Maker dockapp that displays the time and date
 WMTime displays the time and date and gives you some nice additional
 features too.  It is intended for docking in Window Maker.
 .
 It currently provides:
 .
   * the time and date;
   * a realtime morphing interface (analog <> digital mode);
   * auto-scaled and anti-aliased hands;
   * localization: displaying the day and date in various languages;
   * three user-defined commands to launch.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

get-orig-source:
	uscan --verbose --force-download --no-symlink
	@if test -e ../wmtime-*.download ; then \
		rename -f -v "s/wmtime-(.+)\.download/wmtime_\1\.orig\.tar\.gz/" \
			../wmtime-*.download; \
	fi
